gdjs.HelpCode = {};
gdjs.HelpCode.GDBackToMainMenuObjects1= [];
gdjs.HelpCode.GDBackToMainMenuObjects2= [];
gdjs.HelpCode.GDHelpLabelObjects1= [];
gdjs.HelpCode.GDHelpLabelObjects2= [];
gdjs.HelpCode.GDHelpTextObjects1= [];
gdjs.HelpCode.GDHelpTextObjects2= [];
gdjs.HelpCode.GDRightHelpMenuEffectsObjects1= [];
gdjs.HelpCode.GDRightHelpMenuEffectsObjects2= [];
gdjs.HelpCode.GDLeftHelpMenuEffectsObjects1= [];
gdjs.HelpCode.GDLeftHelpMenuEffectsObjects2= [];
gdjs.HelpCode.GDBackButtonDecorObjects1= [];
gdjs.HelpCode.GDBackButtonDecorObjects2= [];

gdjs.HelpCode.conditionTrue_0 = {val:false};
gdjs.HelpCode.condition0IsTrue_0 = {val:false};
gdjs.HelpCode.condition1IsTrue_0 = {val:false};
gdjs.HelpCode.condition2IsTrue_0 = {val:false};
gdjs.HelpCode.conditionTrue_1 = {val:false};
gdjs.HelpCode.condition0IsTrue_1 = {val:false};
gdjs.HelpCode.condition1IsTrue_1 = {val:false};
gdjs.HelpCode.condition2IsTrue_1 = {val:false};


gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects = Hashtable.newFrom({"BackToMainMenu": gdjs.HelpCode.GDBackToMainMenuObjects1});gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects = Hashtable.newFrom({"BackToMainMenu": gdjs.HelpCode.GDBackToMainMenuObjects1});gdjs.HelpCode.eventsList0 = function(runtimeScene) {

{


gdjs.HelpCode.condition0IsTrue_0.val = false;
{
{gdjs.HelpCode.conditionTrue_1 = gdjs.HelpCode.condition0IsTrue_0;
gdjs.HelpCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21523556);
}
}if (gdjs.HelpCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects = Hashtable.newFrom({"BackToMainMenu": gdjs.HelpCode.GDBackToMainMenuObjects1});gdjs.HelpCode.eventsList1 = function(runtimeScene) {

{


gdjs.HelpCode.condition0IsTrue_0.val = false;
{
gdjs.HelpCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.HelpCode.condition0IsTrue_0.val) {
gdjs.HelpCode.GDBackButtonDecorObjects1.createFrom(runtimeScene.getObjects("BackButtonDecor"));
{for(var i = 0, len = gdjs.HelpCode.GDBackButtonDecorObjects1.length ;i < len;++i) {
    gdjs.HelpCode.GDBackButtonDecorObjects1[i].setOpacity(0);
}
}}

}


{

gdjs.HelpCode.GDBackToMainMenuObjects1.createFrom(runtimeScene.getObjects("BackToMainMenu"));

gdjs.HelpCode.condition0IsTrue_0.val = false;
{
gdjs.HelpCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.HelpCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.popScene(runtimeScene);
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.HelpCode.GDBackButtonDecorObjects1.createFrom(runtimeScene.getObjects("BackButtonDecor"));
gdjs.HelpCode.GDBackToMainMenuObjects1.createFrom(runtimeScene.getObjects("BackToMainMenu"));

gdjs.HelpCode.condition0IsTrue_0.val = false;
gdjs.HelpCode.condition1IsTrue_0.val = false;
{
gdjs.HelpCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects, runtimeScene, true, false);
}if ( gdjs.HelpCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.HelpCode.GDBackButtonDecorObjects1.length;i<l;++i) {
    if ( gdjs.HelpCode.GDBackButtonDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.HelpCode.condition1IsTrue_0.val = true;
        gdjs.HelpCode.GDBackButtonDecorObjects1[k] = gdjs.HelpCode.GDBackButtonDecorObjects1[i];
        ++k;
    }
}
gdjs.HelpCode.GDBackButtonDecorObjects1.length = k;}}
if (gdjs.HelpCode.condition1IsTrue_0.val) {
/* Reuse gdjs.HelpCode.GDBackButtonDecorObjects1 */
/* Reuse gdjs.HelpCode.GDBackToMainMenuObjects1 */
{for(var i = 0, len = gdjs.HelpCode.GDBackToMainMenuObjects1.length ;i < len;++i) {
    gdjs.HelpCode.GDBackToMainMenuObjects1[i].setColor("255;255;255");
}
}{for(var i = 0, len = gdjs.HelpCode.GDBackButtonDecorObjects1.length ;i < len;++i) {
    gdjs.HelpCode.GDBackButtonDecorObjects1[i].setOpacity(gdjs.HelpCode.GDBackButtonDecorObjects1[i].getOpacity() + (20));
}
}
{ //Subevents
gdjs.HelpCode.eventsList0(runtimeScene);} //End of subevents
}

}


{

gdjs.HelpCode.GDBackButtonDecorObjects1.createFrom(runtimeScene.getObjects("BackButtonDecor"));
gdjs.HelpCode.GDBackToMainMenuObjects1.createFrom(runtimeScene.getObjects("BackToMainMenu"));

gdjs.HelpCode.condition0IsTrue_0.val = false;
gdjs.HelpCode.condition1IsTrue_0.val = false;
{
gdjs.HelpCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.HelpCode.mapOfGDgdjs_46HelpCode_46GDBackToMainMenuObjects1Objects, runtimeScene, true, true);
}if ( gdjs.HelpCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.HelpCode.GDBackButtonDecorObjects1.length;i<l;++i) {
    if ( gdjs.HelpCode.GDBackButtonDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.HelpCode.condition1IsTrue_0.val = true;
        gdjs.HelpCode.GDBackButtonDecorObjects1[k] = gdjs.HelpCode.GDBackButtonDecorObjects1[i];
        ++k;
    }
}
gdjs.HelpCode.GDBackButtonDecorObjects1.length = k;}}
if (gdjs.HelpCode.condition1IsTrue_0.val) {
/* Reuse gdjs.HelpCode.GDBackButtonDecorObjects1 */
/* Reuse gdjs.HelpCode.GDBackToMainMenuObjects1 */
{for(var i = 0, len = gdjs.HelpCode.GDBackToMainMenuObjects1.length ;i < len;++i) {
    gdjs.HelpCode.GDBackToMainMenuObjects1[i].setColor("0;0;0");
}
}{for(var i = 0, len = gdjs.HelpCode.GDBackButtonDecorObjects1.length ;i < len;++i) {
    gdjs.HelpCode.GDBackButtonDecorObjects1[i].setOpacity(gdjs.HelpCode.GDBackButtonDecorObjects1[i].getOpacity() - (20));
}
}}

}


};

gdjs.HelpCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.HelpCode.GDBackToMainMenuObjects1.length = 0;
gdjs.HelpCode.GDBackToMainMenuObjects2.length = 0;
gdjs.HelpCode.GDHelpLabelObjects1.length = 0;
gdjs.HelpCode.GDHelpLabelObjects2.length = 0;
gdjs.HelpCode.GDHelpTextObjects1.length = 0;
gdjs.HelpCode.GDHelpTextObjects2.length = 0;
gdjs.HelpCode.GDRightHelpMenuEffectsObjects1.length = 0;
gdjs.HelpCode.GDRightHelpMenuEffectsObjects2.length = 0;
gdjs.HelpCode.GDLeftHelpMenuEffectsObjects1.length = 0;
gdjs.HelpCode.GDLeftHelpMenuEffectsObjects2.length = 0;
gdjs.HelpCode.GDBackButtonDecorObjects1.length = 0;
gdjs.HelpCode.GDBackButtonDecorObjects2.length = 0;

gdjs.HelpCode.eventsList1(runtimeScene);
return;

}

gdjs['HelpCode'] = gdjs.HelpCode;
